Information on source package teeworlds

Available versions

ReleaseVersion
buster0.7.2-5+deb10u1
bullseye0.7.5-1
bookworm0.7.5-2
trixie0.7.5-2
sid0.7.5-2

Open issues

BugbusterbullseyebookwormtrixiesidDescription
CVE-2023-31518vulnerable (no DSA)vulnerable (no DSA, ignored)vulnerable (no DSA, ignored)vulnerablevulnerableA heap use-after-free in the component CDataFileReader::GetItem of tee ...
CVE-2023-31517vulnerable (no DSA)vulnerable (no DSA, ignored)vulnerable (no DSA, ignored)vulnerablevulnerableTeeworlds v0.7.5 was discovered to contain memory leaks.
CVE-2021-43518vulnerable (no DSA)vulnerable (no DSA)fixedfixedfixedTeeworlds up to and including 0.7.5 is vulnerable to Buffer Overflow. ...

Resolved issues

BugDescription
CVE-2020-12066CServer::SendMsg in engine/server/server.cpp in Teeworlds 0.7.x before ...
CVE-2019-10879In Teeworlds 0.7.2, there is an integer overflow in CDataFileReader::O ...
CVE-2019-10878In Teeworlds 0.7.2, there is a failed bounds check in CDataFileReader: ...
CVE-2019-10877In Teeworlds 0.7.2, there is an integer overflow in CMap::Load() in en ...
CVE-2018-18541In Teeworlds before 0.6.5, connection packets could be forged. There w ...
CVE-2016-9400The CClient::ProcessServerPacket method in engine/client/client.cpp in ...
CVE-2014-9351engine/server/server.cpp in Teeworlds 0.6.x before 0.6.3 allows remote ...

Security announcements

DSA / DLADescription
DSA-4763-1teeworlds - security update
DSA-4329-1teeworlds - security update

Search for package or bug name: Reporting problems